Draft: Cerc

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Circle and the translation is 6% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Previous: Draft Arc 3Points.svg Arc 3Points
Next: Ellipse Draft Ellipse.svg Arrow-right.svg

Draft Circle.svg Cerc

poziția meniului
Draft → Circle
Ateliere
Draft, Arch
scurtătură
C I
Prezentat în versiune
-
A se vedea, de asemenea,
Draft Arc

Description

Descriere

Instrumentul Circle creează un cerc în work plane introducând două puncte, centrul și raza sau prin selectarea de tangente sau orice combinație a acestora. Este nevoie de linewidth and color setată anterior pe fila Activități. Acest instrument funcționează la fel ca instrumentul Draft Arc, cu excepția faptului că se oprește după introducerea razei.

A Draft Circle can be turned into an arc by setting its DateFirst Angle and DateLast Angle properties to different values.

Draft Circle example.jpg

Draft Circle example.jpg

Usage

See also: Draft Tray, Draft Snap and Draft Constrain.

Cum se utilizează

  1. Apăsați butonul Draft Circle.png Draft Circle sau apăsați tastele L apoi I
  2. Faceți clic pe un prim punct din vizualizarea 3D sau tastați un coordinate
  3. Faceți clic pe un al doilea punct din vizualizarea 3D sau tastați valoarea razei

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

Opțiuni

  • O primă utilizarea a instrumentului cerc constă în alegerea a două puncte, centrul și un punct de pe circumferință, definind raza.
  • Prin apăsarea tastei ALT, puteți selecta o tangentă în loc să alegeți un punct. Prin urmare, puteți construi mai multe tipuri de cercuri selectând una, două sau trei tangente.
  • Pentru a introduce manual coordonatele, pur și simplu introduceți numerele, apoi apăsați ENTER între fiecare componentă X, Y și Z.
  • Apăsați tasta T sau faceți clic pe caseta de selectare pentru a bifa/debifa butonul Continue. Dacă modul continuat este activat, instrumentul Cerc va reporni după ce dați cel de-al doilea punct, permițându-vă să desenați un alt cerc fără să apăsați din nou butonul Cerc.
  • Apăsați CTRL în timp ce desenați pentru a forța snapping punctul dvs. către cea mai apropiată locație, independent de distanța.
  • Apăsați SHIFT în timp ce desenați constrain al doilea punct pe orizontală sau pe verticală în raport cu primul punct.
  • Apăsați butonul I sau butonul Completat pentru a avea cercul umplut cu o fațetă.
  • Apăsați butonul ESC sau butonul Anulare pentru a întrerupe comanda curentă.
  • Cercul poate fi transformat într-un arc după creare, prin setarea proprietăților sale unghi și ultimul unghi la valori diferite.
  • Cercurile, în modul de afișare "Flat Lines", pot afișa un model de hașurare, prin setarea proprietății "Pattern" de mai jos.

Notes

  • A Draft Circle can be edited with the Draft Edit command.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates and radii: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • To change the initial value of filled mode: Edit → Preferences... → Draft → General settings → Draft tools options → Fill objects with faces whenever possible. Changing the filled mode in a task panel will override this preference for the current FreeCAD session.
  • If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a Part Circle instead of a Draft Circle.

Properties

See also: Property editor.

A Draft Circle object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Data

Draft

  • DateArea (Area): (read-only) specifies the area of the face of the circle. The value will be 0.0 if DateMake Face if false or the face cannot be created.
  • DateFirst Angle (Angle): specifies the start angle of the circle, normally .
  • DateLast Angle (Angle): specifies the end angle of the circle, normally .
  • DateMake Face (Bool): specifies if the circle makes a face or not. If it is true a face is created, otherwise only the perimeter is considered part of the object. This property only works if the DateFirst Angle and DateLast Angle have the same value. Note that and 360° are not considered the same.
  • DateRadius (Length): specifies the radius of the circle.

View

Draft

  • VizualizarePattern (Enumeration): specifies the Draft Pattern with which to fill the face of the circle. This property only works if DateMake Face is true and if VizualizareDisplay Mode is Flat Lines.
  • VizualizarePattern Size (Float): specifies the size of the Draft Pattern.

Scripting

Script-Programre

Unealta Cerc poate fi folosită în macro-uri şi de la consola Python cu ajutorul funcţiei următoare:

To create a Draft Circle use the make_circle method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeCircle method.

circle = make_circle(radius, placement=None, face=None, startangle=None, endangle=None, support=None)
circle = make_circle(Part.Edge, placement=None, face=None, startangle=None, endangle=None, support=None)
  • Creează un obiect tip cerc cu o rază dată.
  • Dacă este dată o destinație de plasare, este utilizată. În cazul în care facemode este Fals, cercul este afișat ca un cadru tip filament, altfel ca o fațetă.
  • În cazul în care sunt date unghi de început și de sfârșit de capăt (în grade), ele sunt utilizate și obiectul apare ca un arc de cerc.
  • Returnează obiectul nou creat.

Exempluː

import FreeCAD as App
import Draft

doc = App.newDocument()

circle1 = Draft.make_circle(200)

zaxis = App.Vector(0, 0, 1)
p2 = App.Vector(1000, 1000, 0)
place2 = App.Placement(p2, App.Rotation(zaxis, 0))
circle2 = Draft.make_circle(500, placement=place2)

p3 = App.Vector(-1000, -1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 0))
circle3 = Draft.make_circle(750, placement=place3)

doc.recompute()


Arrow-left.svg Previous: Draft Arc 3Points.svg Arc 3Points
Next: Ellipse Draft Ellipse.svg Arrow-right.svg